%
%  This file processes the data from the first order system
%
function data = process_data;
%
%  enter the data as 
%  f (in Hz) Vin (in V) Vout (in V); 
%
  measured = [100 1.0 0.3;
              200 1.0 0.285;
              400 1.0 0.259;
              600 1.0 0.222;
              700 1.0 0.209;
              800 1.0 0.196;
              1000 1.0 0.170;
              1500 1.0 0.128;
              2000 1.0 0.115;
              2500 1.0 0.088;
              3000 1.0 0.072;
              ];
%
%  Be sure the rows are sorted by frequency
%
   measured = sortrows(measured,1);
%
%  get the frequency of the measurement
%
  f = measured(:,1); 
%
%  get the magnitude of the transfer function
%
  mag_H = measured(:,3)./measured(:,2);
%
%  put the data into the data array
%
  data = [f mag_H];
%
  return;